Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1151)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1152)
@@ -1405,5 +1405,5 @@
 #endif
 #endif
-#if VPS_TSLAYERS
+
   vps->setMaxTSLayersPresentFlag(true);
 
@@ -1412,5 +1412,5 @@
     vps->setMaxTSLayersMinus1(i, vps->getMaxTLayers()-1);
   }
-#endif
+
   vps->setMaxTidRefPresentFlag(m_maxTidRefPresentFlag);
   if (vps->getMaxTidRefPresentFlag())
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1151)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1152)
@@ -692,8 +692,6 @@
   UInt       m_maxTidIlRefPicsPlus1[MAX_VPS_LAYER_IDX_PLUS1 - 1][MAX_VPS_LAYER_IDX_PLUS1];
   Bool       m_maxTidRefPresentFlag;
-#if VPS_TSLAYERS
   Bool       m_maxTSLayersPresentFlag;
   UInt       m_maxTSLayerMinus1[MAX_LAYERS];
-#endif
   Bool       m_singleLayerForNonIrapFlag;
   Bool       m_higherLayerIrapSkipFlag;
@@ -1092,16 +1090,14 @@
   UInt   getMaxTidIlRefPicsPlus1(Int refLayerIdx, Int layerIdx)                     { return m_maxTidIlRefPicsPlus1[refLayerIdx][layerIdx];           }
   Void   setMaxTidIlRefPicsPlus1(Int refLayerIdx, Int layerIdx, UInt maxSublayer)   { m_maxTidIlRefPicsPlus1[refLayerIdx][layerIdx] = maxSublayer;    }
-  Bool   getMaxTidRefPresentFlag()                                  { return m_maxTidRefPresentFlag ;}
-  Void   setMaxTidRefPresentFlag(Bool x)                            { m_maxTidRefPresentFlag = x;}
-#if VPS_TSLAYERS
-  Bool   getMaxTSLayersPresentFlag()                                  { return m_maxTSLayersPresentFlag ;}
-  Void   setMaxTSLayersPresentFlag(Bool x)                            { m_maxTSLayersPresentFlag = x;}
-  UInt   getMaxTSLayersMinus1(Int layerIdx)                            { return m_maxTSLayerMinus1[layerIdx];}
-  Void   setMaxTSLayersMinus1(Int layerIdx, UInt maxTSublayer)         { m_maxTSLayerMinus1[layerIdx] = maxTSublayer;}
-#endif
-  Bool   getSingleLayerForNonIrapFlag()                             { return m_singleLayerForNonIrapFlag; }
-  Void   setSingleLayerForNonIrapFlag(Bool x)                       { m_singleLayerForNonIrapFlag = x;    }
-  Bool   getHigherLayerIrapSkipFlag()                             { return m_higherLayerIrapSkipFlag; }
-  Void   setHigherLayerIrapSkipFlag(Bool x)                       { m_higherLayerIrapSkipFlag = x;    }
+  Bool   getMaxTidRefPresentFlag()                                              { return m_maxTidRefPresentFlag;                 }
+  Void   setMaxTidRefPresentFlag(Bool x)                                        { m_maxTidRefPresentFlag = x;                    }
+  Bool   getMaxTSLayersPresentFlag()                                            { return m_maxTSLayersPresentFlag;               }
+  Void   setMaxTSLayersPresentFlag(Bool x)                                      { m_maxTSLayersPresentFlag = x;                  }
+  UInt   getMaxTSLayersMinus1(Int layerIdx)                                     { return m_maxTSLayerMinus1[layerIdx];           }
+  Void   setMaxTSLayersMinus1(Int layerIdx, UInt maxTSublayer)                  { m_maxTSLayerMinus1[layerIdx] = maxTSublayer;   }
+  Bool   getSingleLayerForNonIrapFlag()                                         { return m_singleLayerForNonIrapFlag;            }
+  Void   setSingleLayerForNonIrapFlag(Bool x)                                   { m_singleLayerForNonIrapFlag = x;               }
+  Bool   getHigherLayerIrapSkipFlag()                                           { return m_higherLayerIrapSkipFlag;              }
+  Void   setHigherLayerIrapSkipFlag(Bool x)                                     { m_higherLayerIrapSkipFlag = x;                 }
 #if VPS_VUI_TILES_NOT_IN_USE__FLAG  
   Bool   getTilesNotInUseFlag()         { return m_tilesNotInUseFlag; }
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1151)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1152)
@@ -147,5 +147,4 @@
 #define MAX_ONE_RESAMPLING_DIRECT_LAYERS 1      ///< Allow maximum of one resampling process for direct reference layers
 #define MOTION_RESAMPLING_CONSTRAINT     1      ///< JCTVC-N0108: Allow maximum of one motion resampling process for direct reference layers, and use motion inter-layer prediction from the same layer as texture inter-layer prediction.
-#define VPS_TSLAYERS                     1      ///< JCTVC-O0120 signal max temporal sub-layers for each layer
 
 #define VIEW_ID_RELATED_SIGNALING        1      ///< Introduce syntax elements view_id and view_id_val
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1151)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1152)
@@ -2823,5 +2823,5 @@
   }
 #endif
-#if VPS_TSLAYERS
+
   READ_FLAG( uiCode, "vps_sub_layers_max_minus1_present_flag"); vps->setMaxTSLayersPresentFlag(uiCode ? true : false);
 
@@ -2840,13 +2840,13 @@
     }
   }
-#endif
+
   READ_FLAG( uiCode, "max_tid_ref_present_flag"); vps->setMaxTidRefPresentFlag(uiCode ? true : false);
-  if (vps->getMaxTidRefPresentFlag())
-  {
-    for(i = 0; i < vps->getMaxLayers() - 1; i++)
-    {
-      for( j = i+1; j < vps->getMaxLayers(); j++)
-      {
-        if(vps->getDirectDependencyFlag(j, i))
+  if( vps->getMaxTidRefPresentFlag() )
+  {
+    for( i = 0; i < vps->getMaxLayers() - 1; i++ )
+    {
+      for( j = i+1; j < vps->getMaxLayers(); j++ )
+      {
+        if( vps->getDirectDependencyFlag(j, i) )
         {
           READ_CODE( 3, uiCode, "max_tid_il_ref_pics_plus1[i][j]" ); vps->setMaxTidIlRefPicsPlus1(i, j, uiCode);          
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1151)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1152)
@@ -2093,14 +2093,14 @@
   }
 #endif
-#if VPS_TSLAYERS
-    WRITE_FLAG( vps->getMaxTSLayersPresentFlag(), "vps_sub_layers_max_minus1_present_flag");
-    if (vps->getMaxTSLayersPresentFlag())
-    {
-        for( i = 0; i < vps->getMaxLayers(); i++)
-        {
-            WRITE_CODE(vps->getMaxTSLayersMinus1(i), 3, "sub_layers_vps_max_minus1[i]" );
-        }
-    }
-#endif
+
+  WRITE_FLAG( vps->getMaxTSLayersPresentFlag(), "vps_sub_layers_max_minus1_present_flag");
+  if( vps->getMaxTSLayersPresentFlag() )
+  {
+    for( i = 0; i < vps->getMaxLayers(); i++ )
+    {
+      WRITE_CODE(vps->getMaxTSLayersMinus1(i), 3, "sub_layers_vps_max_minus1[i]" );
+    }
+  }
+
    WRITE_FLAG( vps->getMaxTidRefPresentFlag(), "max_tid_ref_present_flag");
    if (vps->getMaxTidRefPresentFlag())
